%YAML 1.1
# ROS buildfarm release-build file
---
abi_incompatibility_assumed: true

build_environment_variables:
  RTI_NC_LICENSE_ACCEPTED: 'yes'
  PYTEST_ADDOPTS: '-pno:cacheprovider'
jenkins_binary_job_priority: 85
jenkins_binary_job_timeout: 600
jenkins_source_job_priority: 75
jenkins_source_job_timeout: 30
notifications:
  emails:
  - zhengjunjie@iscas.ac.cn
  maintainers: false
sync:
  package_count: 499
  packages: [desktop]
package_blacklist:
- kortex_api  # Kinova does not provide riscv64.
- kortex_bringup  # depends on kortex_api and kortex_driver
- kortex_driver  # depends on kortex_api and uses libKortexApiCpp.a from Kinova
- rmw_connextdds
- nao_meshes
repositories:
  keys:
  - |
    -----BEGIN PGP PUBLIC KEY BLOCK-----

    mQGNBGYXsnkBDACxB51rnBNcLi+lWSZoqNxmimRboiKKDVcmqH49sU6P7jOrP8T1
    K9TwonGRn26qmrNj5olaVM0dYE3p/ew+rh5qVwAtM++7Yuh0PqK/o1LYwbcqetUo
    yayJpzhlZzuitvzh+4lYTZojs6AIH1K2Zv7ywueEvoIV0pvNrMHb/QPiYpe1Kvj6
    dFhLOhvXodRifA1JSkwJhnF0gPyrM0ESQc3dKvAq0TMEz4noUUpNRpzFYafNkYST
    AU1gkkcUTF7tlX+XdvJuXpmdf1suFg3TFh/dPrN5qjzfwmjX8xVp+DwimOtIaIqP
    +2N+e4LJOIIAF0Cwo4GWqwHLNpI46CPJQGxUiQuVmwpDVaY6rnsq3n6Lij7IMEMt
    05Z4ez9Y5Ad6laOjyu/alrXWpe6+ltdR+O4kaO55JambrbUdFGphpUj+7yEMyGSr
    Z8rYzKsMui49VIhurN8qqgm+R14qSk+ukLSSW0FV6TzcBmHoioBcG7M5nWW2Rayu
    hkuVzNGoah7Nm18AEQEAAbQlemhlbmdqdW5qaWUgPHpoZW5nanVuamllQGlzY2Fz
    LmFjLmNuPokBzgQTAQoAOBYhBPDSIVJbAga9BBizZX/Ai+QbnLNmBQJmF7J5AhsD
    BQsJCAcCBhUKCQgLAgQWAgMBAh4BAheAAAoJEH/Ai+QbnLNmfNwL/1QiknPUc0EV
    IlkZfoZEHYkyschtf1XRtqzIfhHE32OUN16NfDZzkPp7qbV8yes7Kt2dppT+FIJo
    qCwJMCRwZ8f6656rrqKIy8fBrJWaz8ld1kHHprIpK01MFo7GI+fEojqQYHGmpJSJ
    zxMuRJyqHbYa3sQgCN9XXOIn0jqAWXbFglZ7jJk0LZRQDo2HEJC6y07B7kPJCJ1g
    rgnfEBGXe5v8Aeem+qIrf98PHvlQ8OrfxCYkRaIJHzwUwMRDY+OVMYTn5yaFao5L
    zYOKpFgCV8tKJwkE3Fcwc1UQTLjyc+rYNa1IR94kT7JEa063e7D7NRhmnPVDSwgu
    1O8WSfADtu7xubUX5to7cq2RmtgUNkwCi5A9mJR/08lgUPFu4TRQ6VJaXiJ6oF6N
    5S4mtt8XQ16YHIgK3eFcI+51o5u92hrlL4cgHlqg5RfSeNVxKJg7w2ShKxG8L8Zc
    VKg/gcaEsDmzQ4CUHCHSDQNaJU9YBRUJIQE7bgFF0WEMmppCx1N/QrkBjQRmF7J5
    AQwArFULJwhYy00W9o7ydRVj+T2bW7tNisUGVgEKoppWPVMJxxZJ2qqPdEF3VeeK
    2nyh2SXHxUX8ZQad4TJpe+FePXv4zeOslkN7LnDxr/YnyEe/f1QrCw64PV8Hl0t/
    2cZBlzsVXcMEVJ9tXPkLREdoQi1InOeqi0NmaUtv4BkfklvLAs428O0L4M7Y05Mb
    ATSoqHqyfiP7gnhvtaTiJbBM+tsc6ZOpVworN41xRT3rXvKT5NahNkL+d19CGBoO
    lEVTGPZR+15PRTaT9YUwHvpORHBAml3KVx8EaxTfcFwJNpYx2fxu2DAUo/Q0GeV8
    e47RkbfifmqwQebbkMosBaxx8JJpD0aibcSxhvehfq3mo/zH0NDbrSu5DypSU6jE
    IoRPwCWPiJWMrehxyMAnGVFezFFBEsHxMd2H1zy4hXFT8fHCP1uTOpKbWgiMIItp
    LMn5DLf17BIJwhs5mQvTdFIkOkyTsYUxWnw8F5BjHzHjWtBXCazHlVHH/sDz/01f
    ndSPABEBAAGJAbYEGAEKACAWIQTw0iFSWwIGvQQYs2V/wIvkG5yzZgUCZheyeQIb
    DAAKCRB/wIvkG5yzZkQ9C/91hK0Z8uHH/UwUb5R8UkGLeEgK/lDc5UXXqBni6+ub
    ZFDVlgG028keo12bfk8aUnOTp4Di6/kxrA6m2cyKAgUdnThEKV6jgfN70W+FC56Y
    teE9Jw7L6HLeAjWSPQPyONP0IPra4Ajzdyw4TrYXcz46+1bNUVYCL5UgVq3fhiy8
    FhlnU7soxZwnKb84m0ce1WvPdKCbtKsRVzM/doLthPYNzCqaEG2iSMgvYJ01XbE1
    FaHWzCtrdMfx8ge+aYfsYjpJFVgTis0cI7CzCmnDOtulGdOWkHYPou7pvFVRXeH8
    OvBCh7Gy8WX1oOytCB9QWLW8SnndvnjRGMZIKdtkeTe20f7/nP+gcqekfVIUg2ig
    KGg6aM5tu998vCJmSM2UDScL8rDD52M3idohTxPi0Tc5u3u65K9L6F9RnV1cBj4n
    75aWvVizIl26G9ErESclPQPoosmagyLz2LPy9Do7ARJ5O6xtu4s3VDitVG+Z4vDn
    k5IDPJeW+X+dmQTA94DQowY=
    =B3BK
    -----END PGP PUBLIC KEY BLOCK-----
  urls:
  - http://100.88.64.10/building
target_repository: http://100.88.64.10/building
target_queue: /var/repos/building/queue
targets:
  debian:
    bullseye:
      riscv64:
type: release-build
upload_credential_id: jenkins-agent
version: 2
